/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\BASTAX_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_MINIMUMTAX') 
 CREATE TABLE T_BD_MINIMUMTAX (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FTAXCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FACTIVEDATE DATETIME,
FEXPDATE DATETIME,
FTAXATIONSYS BIGINT DEFAULT 0 NOT NULL,
FTAXAREA BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISSYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_MINIMUMTAX_ENTRY') 
 CREATE TABLE T_BD_MINIMUMTAX_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMINIMUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTENTJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENTJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_MINIMUMTAX_L') 
 CREATE TABLE T_BD_MINIMUMTAX_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_TAXRATE' AND KSQL_COL_NAME ='FTAXAREA') 
 ALTER TABLE T_BD_TAXRATE ADD (FTAXAREA BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_TAXRATE_ENTRY') 
 CREATE TABLE T_BD_TAXRATE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMINIMUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTENTJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENTJSON_TAG NCLOB
);



/**End C:\anzhuang\PDM_UPGRADE\PDM1\BASTAX_table.sql **/
